Skip to main content
`Ctrl`+`K`

# RedshiftScaleFactor

class astropy.modeling.functional_models.RedshiftScaleFactor(z=0, **kwargs)

  Bases: `Fittable1DModel`

  One dimensional redshift scale factor model.

  Parameters:
    z `python:float`

      Redshift value.

  Notes

  Model formula:

  > \[f(x) = x (1 + z)\]

  Attributes Summary

  `param_names` | Names of the parameters that describe models of this type.
  `z` |

  Methods Summary

  `evaluate`(x, z) | One dimensional RedshiftScaleFactor model function.
  `fit_deriv`(x, z) | One dimensional RedshiftScaleFactor model derivative.

  Attributes Documentation

  param_names = ('z',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  z = Parameter('z', value=0.0)

  Methods Documentation

  static evaluate(x, z)

    One dimensional RedshiftScaleFactor model function.

  static fit_deriv(x, z)

    One dimensional RedshiftScaleFactor model derivative.